# Settings

GSM_Error GSM_GetLocale(GSM_StateMachine *s, GSM_Locale *locale)

  Gets locale from phone.

GSM_Error GSM_SetLocale(GSM_StateMachine *s, GSM_Locale *locale)

  Sets locale of phone.

GSM_Error GSM_GetSyncMLSettings(GSM_StateMachine *s, GSM_SyncMLSettings *settings)

  Acquires SyncML settings.

GSM_Error GSM_SetSyncMLSettings(GSM_StateMachine *s, GSM_SyncMLSettings *settings)

  Changes SyncML settings.

GSM_Error GSM_GetChatSettings(GSM_StateMachine *s, GSM_ChatSettings *settings)

  Acquires chat/presence settings.

GSM_Error GSM_SetChatSettings(GSM_StateMachine *s, GSM_ChatSettings *settings)

  Changes chat/presence settings.

GSM_Error GSM_GetMMSSettings(GSM_StateMachine *s, GSM_MultiWAPSettings *settings)

  Acquires MMS settings.

GSM_Error GSM_SetMMSSettings(GSM_StateMachine *s, GSM_MultiWAPSettings *settings)

  Changes MMS settings.

GSM_Error GSM_SetAutoNetworkLogin(GSM_StateMachine *s)

  Enables network auto login.

GSM_Error GSM_Reset(GSM_StateMachine *s, gboolean hard)

  Performs phone reset.

GSM_Error GSM_ResetPhoneSettings(GSM_StateMachine *s, GSM_ResetSettingsType Type)

  Resets phone settings.

GSM_Error GSM_GetProfile(GSM_StateMachine *s, GSM_Profile *Profile)

  Reads profile.

GSM_Error GSM_SetProfile(GSM_StateMachine *s, GSM_Profile *Profile)

  Updates profile.

GSM_Error GSM_GetFMStation(GSM_StateMachine *s, GSM_FMStation *FMStation)

  Reads FM station.

GSM_Error GSM_SetFMStation(GSM_StateMachine *s, GSM_FMStation *FMStation)

  Sets FM station.

GSM_Error GSM_ClearFMStations(GSM_StateMachine *s)

  Clears defined FM stations.

GSM_Error GSM_GetGPRSAccessPoint(GSM_StateMachine *s, GSM_GPRSAccessPoint *point)

  Gets GPRS access point.

GSM_Error GSM_SetGPRSAccessPoint(GSM_StateMachine *s, GSM_GPRSAccessPoint *point)

  Sets GPRS access point.

struct GSM_SyncMLSettings

enum GSM_ResetSettingsType

  Values:

  enumerator GSM_RESET_PHONESETTINGS
  enumerator GSM_RESET_USERINTERFACE
  enumerator GSM_RESET_USERINTERFACE_PHONESETTINGS
  enumerator GSM_RESET_DEVICE
  enumerator GSM_RESET_FULLFACTORY

struct GSM_ChatSettings

enum GSM_Profile_Feat_Value

  Values:

  enumerator PROFILE_KEYPAD_LEVEL1
  enumerator PROFILE_KEYPAD_LEVEL2
  enumerator PROFILE_KEYPAD_LEVEL3
  enumerator PROFILE_KEYPAD_OFF
  enumerator PROFILE_CALLALERT_RINGING
  enumerator PROFILE_CALLALERT_BEEPONCE
  enumerator PROFILE_CALLALERT_OFF
  enumerator PROFILE_CALLALERT_RINGONCE
  enumerator PROFILE_CALLALERT_ASCENDING
  enumerator PROFILE_CALLALERT_CALLERGROUPS
  enumerator PROFILE_VOLUME_LEVEL1
  enumerator PROFILE_VOLUME_LEVEL2
  enumerator PROFILE_VOLUME_LEVEL3
  enumerator PROFILE_VOLUME_LEVEL4
  enumerator PROFILE_VOLUME_LEVEL5
  enumerator PROFILE_MESSAGE_NOTONE
  enumerator PROFILE_MESSAGE_STANDARD
  enumerator PROFILE_MESSAGE_SPECIAL
  enumerator PROFILE_MESSAGE_BEEPONCE
  enumerator PROFILE_MESSAGE_ASCENDING
  enumerator PROFILE_MESSAGE_PERSONAL
  enumerator PROFILE_VIBRATION_OFF
  enumerator PROFILE_VIBRATION_ON
  enumerator PROFILE_VIBRATION_FIRST
  enumerator PROFILE_WARNING_ON
  enumerator PROFILE_WARNING_OFF
  enumerator PROFILE_AUTOANSWER_ON
  enumerator PROFILE_AUTOANSWER_OFF
  enumerator PROFILE_LIGHTS_OFF
  enumerator PROFILE_LIGHTS_AUTO
  enumerator PROFILE_SAVER_ON
  enumerator PROFILE_SAVER_OFF
  enumerator PROFILE_SAVER_TIMEOUT_5SEC
  enumerator PROFILE_SAVER_TIMEOUT_20SEC
  enumerator PROFILE_SAVER_TIMEOUT_1MIN
  enumerator PROFILE_SAVER_TIMEOUT_2MIN
  enumerator PROFILE_SAVER_TIMEOUT_5MIN
  enumerator PROFILE_SAVER_TIMEOUT_10MIN

enum GSM_Profile_Feat_ID

  Values:

  enumerator Profile_KeypadTone
  enumerator Profile_CallAlert
  enumerator Profile_RingtoneVolume
  enumerator Profile_MessageTone
  enumerator Profile_Vibration
  enumerator Profile_WarningTone
  enumerator Profile_AutoAnswer
  enumerator Profile_Lights
  enumerator Profile_ScreenSaverTime
  enumerator Profile_ScreenSaver
  enumerator Profile_ScreenSaverNumber
  enumerator Profile_RingtoneID
  enumerator Profile_MessageToneID
  enumerator Profile_CallerGroups

struct GSM_Profile

  It contains phone profiles

  Public Members

  int Location

    Profile number

  char Name[40 * 2]

    Profile name

  gboolean DefaultName

    Is it default name for profile ?

struct GSM_FMStation

struct GSM_GPRSAccessPoint

enum GSM_DateFormat

  Values:

  enumerator GSM_Date_DDMMYYYY
  enumerator GSM_Date_MMDDYYYY
  enumerator GSM_Date_YYYYMMDD
  enumerator GSM_Date_DDMMMYY
  enumerator GSM_Date_MMDDYY
  enumerator GSM_Date_DDMMYY
  enumerator GSM_Date_YYMMDD
  enumerator GSM_Date_OFF

struct GSM_Locale

struct GSM_Profile_PhoneTableValue